<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFConnector (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFConnector (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFConnector.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionFilterData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFConnector.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFConnector.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFConnector" class="title">Class XSSFConnector</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFConnector</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                           title="interface in org.apache.poi.ss.usermodel">Shape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFConnector</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></pre>
                <div class="block">A connection shape drawing element. A connection shape is a line, etc.
                    that connects two other shapes in this drawing.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#XSSFConnector-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector-">XSSFConnector</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector&nbsp;ctShape)</code>
                                    <div class="block">Construct a new XSSFConnector object.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#getCTConnector--">getCTConnector</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Returns xml bean with shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#getShapeType--">getShapeType</a></span>()</code>
                                    <div class="block">Gets the shape type, one of the constants defined in <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#prototype--">prototype</a></span>()</code>
                                    <div class="block">Initialize default structure of a new auto-shape</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html#setShapeType-int-">setShapeType</a></span>(int&nbsp;type)</code>
                                    <div class="block">Sets the shape types.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFConnector-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFConnector</h4>
                                <pre>protected&nbsp;XSSFConnector(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                        org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector&nbsp;ctShape)</pre>
                                <div class="block">Construct a new XSSFConnector object.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>drawing</code> - the XSSFDrawing that owns this shape</dd>
                                    <dd><code>ctShape</code> - the shape bean that holds all the shape properties</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="prototype--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>prototype</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector&nbsp;prototype()</pre>
                                <div class="block">Initialize default structure of a new auto-shape</div>
                            </li>
                        </ul>
                        <a name="getCTConnector--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTConnector</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector&nbsp;getCTConnector()</pre>
                            </li>
                        </ul>
                        <a name="getShapeType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeType</h4>
                                <pre>public&nbsp;int&nbsp;getShapeType()</pre>
                                <div class="block">Gets the shape type, one of the constants defined in <a
                                        href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                        title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShapeType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShapeType</h4>
                                <pre>public&nbsp;void&nbsp;setShapeType(int&nbsp;type)</pre>
                                <div class="block">Sets the shape types.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - the shape type, one of the constants defined in <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a>.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>ShapeTypes</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties&nbsp;getShapeProperties()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">XSSFShape</a></code></span>
                                </div>
                                <div class="block">Returns xml bean with shape properties.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getShapeProperties--">getShapeProperties</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                                title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>xml bean with shape properties.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFConnector.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionFilterData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFConnector.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFConnector.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
